summaryrefslogtreecommitdiff
path: root/reference.md-disabled
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2022-01-25 10:44:03 +0200
committerLars Wirzenius <liw@liw.fi>2022-01-25 19:58:52 +0200
commit7a38db2e2a06b11b3c8cde0c6eb5544ed12619a0 (patch)
treef22c0e934b907c5c4836c0a284601a098e7819b1 /reference.md-disabled
parent928b49b175ef92624390d3704be07b5e2d63a3fc (diff)
downloadsubplot-7a38db2e2a06b11b3c8cde0c6eb5544ed12619a0.tar.gz
test: disable reference.md for now
We're breaking things a lot for a little while, and keeping reference.md working while we do that adds extra friction. Rename reference.md so it doesn't get used. We'll rename it back when we stop breaking things. Sponsored-by: author
Diffstat (limited to 'reference.md-disabled')
-rw-r--r--reference.md-disabled80
1 files changed, 80 insertions, 0 deletions
diff --git a/reference.md-disabled b/reference.md-disabled
new file mode 100644
index 0000000..25e4189
--- /dev/null
+++ b/reference.md-disabled
@@ -0,0 +1,80 @@
+
+# Introduction
+
+This document describes how we guard against accidental breaking
+changes in Subplot by running it against a curated set of subplot
+documents.
+
+# Subplot
+
+## Produce a PDF
+
+~~~scenario
+given an installed subplot
+given a clone of https://gitlab.com/subplot/subplot.git in src at 96371571338767e776f7de583ddbea4512ceeba1
+when I docgen subplot.md to test.pdf, in src
+then file src/test.pdf exists
+~~~
+
+## Produce HTML page
+
+~~~scenario
+given an installed subplot
+given a clone of https://gitlab.com/subplot/subplot.git in src at 96371571338767e776f7de583ddbea4512ceeba1
+when I docgen subplot.md to test.html, in src
+when I run, in src, subplot docgen subplot.md -o subplot.html
+then file src/test.html exists
+~~~
+
+## Generate and run test program
+
+~~~scenario
+given an installed subplot
+given file run_test.sh
+given a clone of https://gitlab.com/subplot/subplot.git in src at 96371571338767e776f7de583ddbea4512ceeba1
+when I run, in src, subplot codegen subplot.md -o test-inner.py
+when I run bash run_test.sh
+then command is successful
+~~~
+
+~~~{#run_test.sh .file .sh}
+#!/bin/bash
+
+set -euo pipefail
+
+N=100
+
+if python3 src/test-inner.py --log test-inner.log --env "PATH=$PATH" --env SUBPLOT_DIR=/
+then
+ exit=0
+else
+ exit="$?"
+fi
+
+if [ "$exit" != 0 ]
+then
+ # Failure. Show end of inner log file.
+
+ echo "last $N lines of test-inner.log:"
+ tail "-n$N" test-inner.log | sed 's/^/ /'
+fi
+
+exit "$exit"
+~~~
+
+
+---
+title: Test Subplot against reference subplots
+author: The Subplot project
+bindings:
+- reference.yaml
+- subplot.yaml
+- lib/runcmd.yaml
+- lib/files.yaml
+impls:
+ python:
+ - reference.py
+ - subplot.py
+ - lib/files.py
+ - lib/runcmd.py
+...